Skip to main content
POST
/
v1
/
apis
/
{api_id}
/
endpoints
/
{endpoint_name}
:call
curl --request POST \
  --url https://api.peel.sh/v1/apis/{api_id}/endpoints/{endpoint_name}:call \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '{
  "limit": 10
}'
{
  "status": "<string>",
  "status_code": 123,
  "data": "<unknown>",
  "error": "<string>",
  "error_code": "<string>",
  "execution_time": 123,
  "initiates_session": true,
  "session_id": "<string>",
  "encryption_key": "<string>",
  "raw_output": "<string>"
}

Authorizations

X-API-Key
string
header
required

Headers

X-Session-ID
string

Target-site session ID returned by a login endpoint. Required for session_required endpoints.

X-Encryption-Key
string

Target-site encryption key returned by a login endpoint. Required with X-Session-ID for session_required endpoints.

Path Parameters

api_id
string<uuid>
required
endpoint_name
string
required

Body

application/json
params
object

Endpoint parameters. If omitted, top-level body fields are treated as endpoint parameters for CLI/backward compatibility.

session_id
string

Body fallback for target-site session credentials.

encryption_key
string

Body fallback for target-site session credentials.

Response

Endpoint execution envelope. Runtime failures that do not map to a more specific transport status may also return 200 with status:error.

status
string | null
required
status_code
number | null
required
data
any
required
error
string | null
required
error_code
string | null
required
execution_time
number | null
required
transport
enum<string> | null
Available options:
html_tls,
html_browser,
http_replay,
http_flow,
graphql_replay
initiates_session
boolean
session_id
string | null
encryption_key
string | null
raw_output
string | null